Index: uspace/srv/net/nil/nildummy/nildummy.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.c	(revision 514ee46735ae99a559924fd69a01def4b9b49fff)
+++ uspace/srv/net/nil/nildummy/nildummy.c	(revision 4687a26c6b3564e9d93f158a13504a9c7fc0e9f9)
@@ -58,17 +58,11 @@
 #include "nildummy.h"
 
-/** The module name.
- *
- */
+/** The module name. */
 #define NAME  "nildummy"
 
-/** Default maximum transmission unit.
- *
- */
+/** Default maximum transmission unit. */
 #define NET_DEFAULT_MTU  1500
 
-/** Network interface layer module global data.
- *
- */
+/** Network interface layer module global data. */
 nildummy_globals_t nildummy_globals;
 
@@ -78,9 +72,7 @@
 {
 	fibril_rwlock_read_lock(&nildummy_globals.protos_lock);
-	
 	if (nildummy_globals.proto.phone)
-		il_device_state_msg(nildummy_globals.proto.phone, device_id, state,
-		    nildummy_globals.proto.service);
-	
+		il_device_state_msg(nildummy_globals.proto.phone, device_id,
+		    state, nildummy_globals.proto.service);
 	fibril_rwlock_read_unlock(&nildummy_globals.protos_lock);
 	
@@ -99,38 +91,46 @@
 	nildummy_globals.net_phone = net_phone;
 	nildummy_globals.proto.phone = 0;
-	ERROR_PROPAGATE(nildummy_devices_initialize(&nildummy_globals.devices));
+	ERROR_CODE = nildummy_devices_initialize(&nildummy_globals.devices);
 	
 	fibril_rwlock_write_unlock(&nildummy_globals.protos_lock);
 	fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
 	
-	return EOK;
-}
-
-/** Process IPC messages from the registered device driver modules in an infinite loop.
- *
- * @param[in]     iid   The message identifier.
- * @param[in,out] icall The message parameters.
- *
- */
-static void nildummy_receiver(ipc_callid_t iid, ipc_call_t * icall){
+	return ERROR_CODE;
+}
+
+/** Process IPC messages from the registered device driver modules in an
+ * infinite loop.
+ *
+ * @param[in] iid	The message identifier.
+ * @param[in,out]	icall The message parameters.
+ */
+static void nildummy_receiver(ipc_callid_t iid, ipc_call_t *icall)
+{
 	ERROR_DECLARE;
 
 	packet_t packet;
 
-	while(true){
-		switch(IPC_GET_METHOD(*icall)){
-			case NET_NIL_DEVICE_STATE:
-				ERROR_CODE = nil_device_state_msg_local(0, IPC_GET_DEVICE(icall), IPC_GET_STATE(icall));
-				ipc_answer_0(iid, (ipcarg_t) ERROR_CODE);
-				break;
-			case NET_NIL_RECEIVED:
-				if(! ERROR_OCCURRED(packet_translate_remote(nildummy_globals.net_phone, &packet, IPC_GET_PACKET(icall)))){
-					ERROR_CODE = nil_received_msg_local(0, IPC_GET_DEVICE(icall), packet, 0);
-				}
-				ipc_answer_0(iid, (ipcarg_t) ERROR_CODE);
-				break;
-			default:
-				ipc_answer_0(iid, (ipcarg_t) ENOTSUP);
+	while (true) {
+		switch (IPC_GET_METHOD(*icall)) {
+		case NET_NIL_DEVICE_STATE:
+			ERROR_CODE = nil_device_state_msg_local(0,
+			    IPC_GET_DEVICE(icall), IPC_GET_STATE(icall));
+			ipc_answer_0(iid, (ipcarg_t) ERROR_CODE);
+			break;
+		
+		case NET_NIL_RECEIVED:
+			if (ERROR_NONE(packet_translate_remote(
+			    nildummy_globals.net_phone, &packet,
+			    IPC_GET_PACKET(icall)))) {
+				ERROR_CODE = nil_received_msg_local(0,
+				    IPC_GET_DEVICE(icall), packet, 0);
+			}
+			ipc_answer_0(iid, (ipcarg_t) ERROR_CODE);
+			break;
+		
+		default:
+			ipc_answer_0(iid, (ipcarg_t) ENOTSUP);
 		}
+		
 		iid = async_get_call(icall);
 	}
@@ -141,17 +141,17 @@
  * Determine the device local hardware address.
  *
- * @param[in] device_id The new device identifier.
- * @param[in] service   The device driver service.
- * @param[in] mtu       The device maximum transmission unit.
- *
- * @returns EOK on success.
- * @returns EEXIST if the device with the different service exists.
- * @returns ENOMEM if there is not enough memory left.
- * @returns Other error codes as defined for the netif_bind_service() function.
- * @returns Other error codes as defined for the netif_get_addr_req() function.
- *
- */
-static int nildummy_device_message(device_id_t device_id, services_t service,
-    size_t mtu)
+ * @param[in] device_id	The new device identifier.
+ * @param[in] service	The device driver service.
+ * @param[in] mtu	The device maximum transmission unit.
+ * @returns		EOK on success.
+ * @returns		EEXIST if the device with the different service exists.
+ * @returns		ENOMEM if there is not enough memory left.
+ * @returns		Other error codes as defined for the
+ *			netif_bind_service() function.
+ * @returns		Other error codes as defined for the
+ *			netif_get_addr_req() function.
+ */
+static int
+nildummy_device_message(device_id_t device_id, services_t service, size_t mtu)
 {
 	ERROR_DECLARE;
@@ -161,66 +161,79 @@
 
 	fibril_rwlock_write_lock(&nildummy_globals.devices_lock);
+
 	// an existing device?
 	device = nildummy_devices_find(&nildummy_globals.devices, device_id);
-	if(device){
-		if(device->service != service){
+	if (device) {
+		if (device->service != service) {
 			printf("Device %d already exists\n", device->device_id);
-			fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
+			fibril_rwlock_write_unlock(
+			    &nildummy_globals.devices_lock);
 			return EEXIST;
-		}else{
-			// update mtu
-			if(mtu > 0){
-				device->mtu = mtu;
-			}else{
-				device->mtu = NET_DEFAULT_MTU;
-			}
-			printf("Device %d already exists:\tMTU\t= %d\n", device->device_id, device->mtu);
-			fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
-			// notify the upper layer module
-			fibril_rwlock_read_lock(&nildummy_globals.protos_lock);
-			if(nildummy_globals.proto.phone){
-				il_mtu_changed_msg(nildummy_globals.proto.phone, device->device_id, device->mtu, nildummy_globals.proto.service);
-			}
-			fibril_rwlock_read_unlock(&nildummy_globals.protos_lock);
-			return EOK;
 		}
-	}else{
-		// create a new device
-		device = (nildummy_device_ref) malloc(sizeof(nildummy_device_t));
-		if(! device){
-			return ENOMEM;
+		
+		// update mtu
+		if (mtu > 0)
+			device->mtu = mtu;
+		else
+			device->mtu = NET_DEFAULT_MTU;
+		
+		printf("Device %d already exists:\tMTU\t= %d\n",
+		    device->device_id, device->mtu);
+		fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
+		
+		// notify the upper layer module
+		fibril_rwlock_read_lock(&nildummy_globals.protos_lock);
+		if (nildummy_globals.proto.phone) {
+			il_mtu_changed_msg(nildummy_globals.proto.phone,
+			    device->device_id, device->mtu,
+			    nildummy_globals.proto.service);
 		}
-		device->device_id = device_id;
-		device->service = service;
-		if(mtu > 0){
-			device->mtu = mtu;
-		}else{
-			device->mtu = NET_DEFAULT_MTU;
-		}
-		// bind the device driver
-		device->phone = netif_bind_service(device->service, device->device_id, SERVICE_ETHERNET, nildummy_receiver);
-		if(device->phone < 0){
-			fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
-			free(device);
-			return device->phone;
-		}
-		// get hardware address
-		if(ERROR_OCCURRED(netif_get_addr_req(device->phone, device->device_id, &device->addr, &device->addr_data))){
-			fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
-			free(device);
-			return ERROR_CODE;
-		}
-		// add to the cache
-		index = nildummy_devices_add(&nildummy_globals.devices, device->device_id, device);
-		if(index < 0){
-			fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
-			free(device->addr);
-			free(device->addr_data);
-			free(device);
-			return index;
-		}
-		printf("%s: Device registered (id: %d, service: %d, mtu: %d)\n",
-		    NAME, device->device_id, device->service, device->mtu);
-	}
+		fibril_rwlock_read_unlock(&nildummy_globals.protos_lock);
+		
+		return EOK;
+	}
+	
+	// create a new device
+	device = (nildummy_device_ref) malloc(sizeof(nildummy_device_t));
+	if (!device)
+		return ENOMEM;
+	
+	device->device_id = device_id;
+	device->service = service;
+	if (mtu > 0)
+		device->mtu = mtu;
+	else
+		device->mtu = NET_DEFAULT_MTU;
+
+	// bind the device driver
+	device->phone = netif_bind_service(device->service, device->device_id,
+	    SERVICE_ETHERNET, nildummy_receiver);
+	if (device->phone < 0) {
+		fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
+		free(device);
+		return device->phone;
+	}
+	
+	// get hardware address
+	if (ERROR_OCCURRED(netif_get_addr_req(device->phone, device->device_id,
+	    &device->addr, &device->addr_data))) {
+		fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
+		free(device);
+		return ERROR_CODE;
+	}
+	
+	// add to the cache
+	index = nildummy_devices_add(&nildummy_globals.devices,
+	    device->device_id, device);
+	if (index < 0) {
+		fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
+		free(device->addr);
+		free(device->addr_data);
+		free(device);
+		return index;
+	}
+	
+	printf("%s: Device registered (id: %d, service: %d, mtu: %d)\n",
+	    NAME, device->device_id, device->service, device->mtu);
 	fibril_rwlock_write_unlock(&nildummy_globals.devices_lock);
 	return EOK;
@@ -229,23 +242,22 @@
 /** Return the device hardware address.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] address   The device hardware address.
- *
- * @return EOK on success.
- * @return EBADMEM if the address parameter is NULL.
- * @return ENOENT if there no such device.
- *
- */
-static int nildummy_addr_message(device_id_t device_id,
-    measured_string_ref *address)
+ * @param[in] device_id	The device identifier.
+ * @param[out] address	The device hardware address.
+ * @return		 EOK on success.
+ * @return		EBADMEM if the address parameter is NULL.
+ * @return		ENOENT if there no such device.
+ *
+ */
+static int
+nildummy_addr_message(device_id_t device_id, measured_string_ref *address)
 {
 	nildummy_device_ref device;
 
-	if(! address){
+	if (!address)
 		return EBADMEM;
-	}
+	
 	fibril_rwlock_read_lock(&nildummy_globals.devices_lock);
 	device = nildummy_devices_find(&nildummy_globals.devices, device_id);
-	if(! device){
+	if (!device) {
 		fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
 		return ENOENT;
@@ -253,4 +265,5 @@
 	*address = device->addr;
 	fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
+	
 	return (*address) ? EOK : ENOENT;
 }
@@ -258,26 +271,26 @@
 /** Return the device packet dimensions for sending.
  *
- * @param[in]  device_id The device identifier.
- * @param[out] addr_len  The minimum reserved address length.
- * @param[out] prefix    The minimum reserved prefix size.
- * @param[out] content   The maximum content size.
- * @param[out] suffix    The minimum reserved suffix size.
- *
- * @return EOK on success.
- * @return EBADMEM if either one of the parameters is NULL.
- * @return ENOENT if there is no such device.
- *
- */
-static int nildummy_packet_space_message(device_id_t device_id,
-    size_t *addr_len, size_t *prefix, size_t *content, size_t *suffix)
+ * @param[in] device_id	The device identifier.
+ * @param[out] addr_len	The minimum reserved address length.
+ * @param[out] prefix	The minimum reserved prefix size.
+ * @param[out] content	The maximum content size.
+ * @param[out] suffix	The minimum reserved suffix size.
+ * @return		EOK on success.
+ * @return		EBADMEM if either one of the parameters is NULL.
+ * @return		ENOENT if there is no such device.
+ *
+ */
+static int
+nildummy_packet_space_message(device_id_t device_id, size_t *addr_len,
+    size_t *prefix, size_t *content, size_t *suffix)
 {
 	nildummy_device_ref device;
 
-	if(!(addr_len && prefix && content && suffix)){
+	if (!addr_len || !prefix || !content || !suffix)
 		return EBADMEM;
-	}
+	
 	fibril_rwlock_read_lock(&nildummy_globals.devices_lock);
 	device = nildummy_devices_find(&nildummy_globals.devices, device_id);
-	if(! device){
+	if (!device) {
 		fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
 		return ENOENT;
@@ -285,4 +298,5 @@
 	*content = device->mtu;
 	fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
+	
 	*addr_len = 0;
 	*prefix = 0;
@@ -291,16 +305,21 @@
 }
 
-int nil_received_msg_local(int nil_phone, device_id_t device_id, packet_t packet, services_t target){
+int
+nil_received_msg_local(int nil_phone, device_id_t device_id, packet_t packet,
+    services_t target)
+{
 	packet_t next;
 
 	fibril_rwlock_read_lock(&nildummy_globals.protos_lock);
-	if(nildummy_globals.proto.phone){
-		do{
+	if (nildummy_globals.proto.phone) {
+		do {
 			next = pq_detach(packet);
-			il_received_msg(nildummy_globals.proto.phone, device_id, packet, nildummy_globals.proto.service);
+			il_received_msg(nildummy_globals.proto.phone, device_id,
+			    packet, nildummy_globals.proto.service);
 			packet = next;
-		}while(packet);
+		} while(packet);
 	}
 	fibril_rwlock_read_unlock(&nildummy_globals.protos_lock);
+	
 	return EOK;
 }
@@ -310,11 +329,9 @@
  * Pass received packets for this service.
  *
- * @param[in] service The module service.
- * @param[in] phone   The service phone.
- *
- * @return EOK on success.
- * @return ENOENT if the service is not known.
- * @return ENOMEM if there is not enough memory left.
- *
+ * @param[in] service	The module service.
+ * @param[in] phone	The service phone.
+ * @return		EOK on success.
+ * @return		ENOENT if the service is not known.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int nildummy_register_message(services_t service, int phone)
@@ -333,15 +350,13 @@
 /** Send the packet queue.
  *
- * @param[in] device_id The device identifier.
- * @param[in] packet    The packet queue.
- * @param[in] sender    The sending module service.
- *
- * @return EOK on success.
- * @return ENOENT if there no such device.
- * @return EINVAL if the service parameter is not known.
- *
- */
-static int nildummy_send_message(device_id_t device_id, packet_t packet,
-    services_t sender)
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ * @return		EOK on success.
+ * @return		ENOENT if there no such device.
+ * @return		EINVAL if the service parameter is not known.
+ */
+static int
+nildummy_send_message(device_id_t device_id, packet_t packet, services_t sender)
 {
 	nildummy_device_ref device;
@@ -349,17 +364,18 @@
 	fibril_rwlock_read_lock(&nildummy_globals.devices_lock);
 	device = nildummy_devices_find(&nildummy_globals.devices, device_id);
-	if(! device){
+	if (!device) {
 		fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
 		return ENOENT;
 	}
 	// send packet queue
-	if(packet){
-		netif_send_msg(device->phone, device_id, packet, SERVICE_NILDUMMY);
-	}
+	if (packet)
+		netif_send_msg(device->phone, device_id, packet,
+		    SERVICE_NILDUMMY);
 	fibril_rwlock_read_unlock(&nildummy_globals.devices_lock);
 	return EOK;
 }
 
-int nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
+int
+nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
@@ -375,34 +391,41 @@
 	*answer_count = 0;
 	switch (IPC_GET_METHOD(*call)) {
-		case IPC_M_PHONE_HUNGUP:
-			return EOK;
-		case NET_NIL_DEVICE:
-			return nildummy_device_message(IPC_GET_DEVICE(call),
-			    IPC_GET_SERVICE(call), IPC_GET_MTU(call));
-		case NET_NIL_SEND:
-			ERROR_PROPAGATE(packet_translate_remote(nildummy_globals.net_phone,
-			    &packet, IPC_GET_PACKET(call)));
-			return nildummy_send_message(IPC_GET_DEVICE(call), packet,
-			    IPC_GET_SERVICE(call));
-		case NET_NIL_PACKET_SPACE:
-			ERROR_PROPAGATE(nildummy_packet_space_message(IPC_GET_DEVICE(call),
-			    &addrlen, &prefix, &content, &suffix));
-			IPC_SET_ADDR(answer, addrlen);
-			IPC_SET_PREFIX(answer, prefix);
-			IPC_SET_CONTENT(answer, content);
-			IPC_SET_SUFFIX(answer, suffix);
-			*answer_count = 4;
-			return EOK;
-		case NET_NIL_ADDR:
-			ERROR_PROPAGATE(nildummy_addr_message(IPC_GET_DEVICE(call),
-			    &address));
-			return measured_strings_reply(address, 1);
-		case NET_NIL_BROADCAST_ADDR:
-			ERROR_PROPAGATE(nildummy_addr_message(IPC_GET_DEVICE(call),
-			    &address));
-			return measured_strings_reply(address, 1);
-		case IPC_M_CONNECT_TO_ME:
-			return nildummy_register_message(NIL_GET_PROTO(call),
-			    IPC_GET_PHONE(call));
+	case IPC_M_PHONE_HUNGUP:
+		return EOK;
+	
+	case NET_NIL_DEVICE:
+		return nildummy_device_message(IPC_GET_DEVICE(call),
+		    IPC_GET_SERVICE(call), IPC_GET_MTU(call));
+	
+	case NET_NIL_SEND:
+		ERROR_PROPAGATE(packet_translate_remote(
+		    nildummy_globals.net_phone, &packet, IPC_GET_PACKET(call)));
+		return nildummy_send_message(IPC_GET_DEVICE(call), packet,
+		    IPC_GET_SERVICE(call));
+	
+	case NET_NIL_PACKET_SPACE:
+		ERROR_PROPAGATE(nildummy_packet_space_message(
+		    IPC_GET_DEVICE(call), &addrlen, &prefix, &content,
+		    &suffix));
+		IPC_SET_ADDR(answer, addrlen);
+		IPC_SET_PREFIX(answer, prefix);
+		IPC_SET_CONTENT(answer, content);
+		IPC_SET_SUFFIX(answer, suffix);
+		*answer_count = 4;
+		return EOK;
+	
+	case NET_NIL_ADDR:
+		ERROR_PROPAGATE(nildummy_addr_message(IPC_GET_DEVICE(call),
+		    &address));
+		return measured_strings_reply(address, 1);
+	
+	case NET_NIL_BROADCAST_ADDR:
+		ERROR_PROPAGATE(nildummy_addr_message(IPC_GET_DEVICE(call),
+		    &address));
+		return measured_strings_reply(address, 1);
+	
+	case IPC_M_CONNECT_TO_ME:
+		return nildummy_register_message(NIL_GET_PROTO(call),
+		    IPC_GET_PHONE(call));
 	}
 	
@@ -412,7 +435,6 @@
 /** Default thread for new connections.
  *
- * @param[in] iid   The initial message identifier.
- * @param[in] icall The initial message call structure.
- *
+ * @param[in] iid	The initial message identifier.
+ * @param[in] icall	The initial message call structure.
  */
 static void nil_client_connection(ipc_callid_t iid, ipc_call_t *icall)
@@ -424,5 +446,5 @@
 	ipc_answer_0(iid, EOK);
 	
-	while(true) {
+	while (true) {
 		ipc_call_t answer;
 		int answer_count;
@@ -436,9 +458,13 @@
 		
 		/* Process the message */
-		int res = nil_module_message_standalone(NAME, callid, &call, &answer,
-		    &answer_count);
-		
-		/* End if said to either by the message or the processing result */
-		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) || (res == EHANGUP))
+		int res = nil_module_message_standalone(NAME, callid, &call,
+		    &answer, &answer_count);
+		
+		/*
+		 * End if told to either by the message or the processing
+		 * result.
+		 */
+		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) ||
+		    (res == EHANGUP))
 			return;
 		
@@ -453,7 +479,5 @@
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(nil_module_start_standalone(nil_client_connection)))
-		return ERROR_CODE;
-	
+	ERROR_PROPAGATE(nil_module_start_standalone(nil_client_connection));
 	return EOK;
 }
